from pasteob import Response
try:
    import simplejson as json
except ImportError:
    import json

__all__ = ['json', 'JsonResponse']

class JsonResponse(Response):
    def __init__(self, data, **kw):
        assert isinstance(data, dict)
        kw.setdefault('content_type', 'application/json')
        super(JsonResponse, self).__init__(body=json.dumps(data), **kw)
